<template>
  <v-app>
    <v-navigation-drawer
      permanent
      fixed
      app
      color="primary"
    >
      <v-list-item class="mt-16">
        <v-row>
          <v-col class="text-center">
            <v-avatar size="102">
              <img
                src="https://cdn.vuetifyjs.com/images/john.jpg"
                alt="John"
              >
            </v-avatar>
            <h5 class="mt-5">
              Diko Mahendra
            </h5>
            <span class="text-white">Frontend Engineer</span>
          </v-col>
        </v-row>
      </v-list-item>
      <v-divider />
      <v-list dense>
        <v-list-item
          v-for="item in items"
          :key="item.title"
          link
          class="my-3"
          @click="handleRedirect(item.to)"
        >
          <v-list-item-icon>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title>{{ item.title }}</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-main>
      <nuxt />
    </v-main>
  </v-app>
</template>

<script>
export default {
  data () {
    return {
      items: [
        { title: 'Edit Profile', icon: 'mdi-account-edit', to: 'edit' },
        { title: 'Kelas Saya', icon: 'mdi-apps', to: 'kelas' },
        { title: 'Progres Belajar', icon: 'mdi-google-circles-extended', to: 'progres' },
        { title: 'Portofolio', icon: 'mdi-account-group-outline', to: 'portofolio' },
        { title: 'Keluar', icon: 'mdi-logout-variant', to: '' }
      ]
    }
  },

  methods: {
    handleRedirect (to) {
      this.$router.push('/profile/' + to)
    }
  }
}
</script>
